diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/ImportStateBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/ImportStateBase.java
index 5ad61947ad..f5ee98c287 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/ImportStateBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/ImportStateBase.java
@@ -22,6 +22,7 @@ import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.common.AnnotationType;
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.ExtensionType;
 import eu.etaxonomy.cdm.model.common.Language;
@@ -29,7 +30,6 @@ import eu.etaxonomy.cdm.model.common.MarkerType;
 import eu.etaxonomy.cdm.model.common.User;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.MeasurementUnit;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.PresenceTerm;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StatisticalMeasure;
@@ -38,7 +38,7 @@ import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
@@ -75,7 +75,7 @@ public abstract class ImportStateBase<CONFIG extends ImportConfiguratorBase, IO
 	private Map<UUID, State> stateTermMap = new HashMap<UUID, State>();
 	private Map<UUID, MeasurementUnit> measurementUnitMap = new HashMap<UUID, MeasurementUnit>();
 	private Map<UUID, StatisticalMeasure> statisticalMeasureMap = new HashMap<UUID, StatisticalMeasure>();
-	private Map<UUID, Modifier> modifierMap = new HashMap<UUID, Modifier>();
+	private Map<UUID, DefinedTerm> modifierMap = new HashMap<UUID, DefinedTerm>();
 	
 	private Map<UUID, PresenceTerm> presenceTermMap = new HashMap<UUID, PresenceTerm>();;
 	private Map<UUID, Language> languageMap = new HashMap<UUID, Language>();
@@ -97,7 +97,7 @@ public abstract class ImportStateBase<CONFIG extends ImportConfiguratorBase, IO
 		stores.put(ICdmIO.REF_DETAIL_STORE, new MapWrapper<Reference>(service));
 		stores.put(ICdmIO.TAXONNAME_STORE, new MapWrapper<TaxonNameBase<?,?>>(service));
 		stores.put(ICdmIO.TAXON_STORE, new MapWrapper<TaxonBase>(service));
-		stores.put(ICdmIO.SPECIMEN_STORE, new MapWrapper<Specimen>(service));
+		stores.put(ICdmIO.SPECIMEN_STORE, new MapWrapper<DerivedUnit>(service));
 		
 		if (getTransformer() == null){
 			IInputTransformer newTransformer = config.getTransformer();
@@ -126,7 +126,7 @@ public abstract class ImportStateBase<CONFIG extends ImportConfiguratorBase, IO
 		stateTermMap = new HashMap<UUID, State>();
 		measurementUnitMap = new HashMap<UUID, MeasurementUnit>();
 		statisticalMeasureMap = new HashMap<UUID, StatisticalMeasure>();
-		modifierMap = new HashMap<UUID, Modifier>();
+		modifierMap = new HashMap<UUID, DefinedTerm>();
 		
 		presenceTermMap = new HashMap<UUID, PresenceTerm>();;
 		languageMap = new HashMap<UUID, Language>();
@@ -306,11 +306,11 @@ public abstract class ImportStateBase<CONFIG extends ImportConfiguratorBase, IO
 		measurementUnitMap.put(unit.getUuid(), unit);
 	}
 	
-	public Modifier getModifier(UUID uuid){
+	public DefinedTerm getModifier(UUID uuid){
 		return modifierMap.get(uuid);
 	}
 	
-	public void putModifier(Modifier unit){
+	public void putModifier(DefinedTerm unit){
 		modifierMap.put(unit.getUuid(), unit);
 	}
 	
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/IoConfiguratorBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/IoConfiguratorBase.java
index 890dbb124c..435a4fd24b 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/IoConfiguratorBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/IoConfiguratorBase.java
@@ -12,7 +12,7 @@ import java.util.Set;
 import org.apache.log4j.Logger;
 import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
 
-import eu.etaxonomy.cdm.api.application.CdmApplicationController;
+import eu.etaxonomy.cdm.api.application.ICdmApplicationConfiguration;
 import eu.etaxonomy.cdm.common.monitor.IProgressMonitor;
 import eu.etaxonomy.cdm.common.monitor.NullProgressMonitor;
 import eu.etaxonomy.cdm.config.Configuration;
@@ -34,7 +34,7 @@ public abstract class IoConfiguratorBase extends ObservableBase implements IIoCo
 //	protected Class<ICdmIO>[] ioClassList;
 	private DbSchemaValidation dbSchemaValidation = DbSchemaValidation.VALIDATE;
 	
-	protected CdmApplicationController cdmApp = null;
+	protected ICdmApplicationConfiguration cdmApp = null;
 	
 	//authentification token
 	UsernamePasswordAuthenticationToken authenticationToken;
@@ -61,14 +61,14 @@ public abstract class IoConfiguratorBase extends ObservableBase implements IIoCo
 		this.dbSchemaValidation = dbSchemaValidation;
 	}
 	
-	public CdmApplicationController getCdmAppController(){
+	public ICdmApplicationConfiguration getCdmAppController(){
 		return this.cdmApp;
 	}
 
 	/**
 	 * @param cdmApp the cdmApp to set
 	 */
-	public void setCdmAppController(CdmApplicationController cdmApp) {
+	public void setCdmAppController(ICdmApplicationConfiguration cdmApp) {
 		this.cdmApp = cdmApp;
 	}
 		
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/Source.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/Source.java
index 546c5a33bd..826c043097 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/Source.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/Source.java
@@ -27,6 +27,7 @@ import org.apache.http.MethodNotSupportedException;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.database.ICdmDataSource;
+import eu.etaxonomy.cdm.database.update.DatabaseTypeNotSupportedException;
 
 
 /**
@@ -447,7 +448,7 @@ public class Source {
      * @return
      * @throws MethodNotSupportedException
      */
-    public boolean checkColumnExists(String tableName, String dbAttribute) throws NoSuchMethodException{
+    public boolean checkColumnExists(String tableName, String dbAttribute) throws DatabaseTypeNotSupportedException{
     	if (mDbms.equalsIgnoreCase(SQL_SERVER_2005)|| mDbms.equalsIgnoreCase(SQL_SERVER_2008) ){
     		String strQuery = "SELECT  Count(t.id) as n " +
 				" FROM sysobjects AS t " +
@@ -466,7 +467,7 @@ public class Source {
 				return false;
 			}
     	}else{
-    		throw new RuntimeException("Check column exist is not supported by the database system");
+    		throw new DatabaseTypeNotSupportedException("Check column exist is not supported by the database system");
     	}
     }
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/TdwgAreaProvider.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/TdwgAreaProvider.java
new file mode 100644
index 0000000000..7735bc1d26
--- /dev/null
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/TdwgAreaProvider.java
@@ -0,0 +1,49 @@
+/**
+ * 
+ */
+package eu.etaxonomy.cdm.io.common;
+
+import org.apache.log4j.Logger;
+
+import eu.etaxonomy.cdm.model.location.NamedArea;
+
+/**
+ * This class is meant to remove the pre v3.3 class TdwgArea in cdmlib-model.
+ * It may be changed or fully removed in future when we implement a more 
+ * general solution for terms.
+ * 
+ * @author a.mueller
+ * @created 11.6.2013
+ *
+ */
+@Deprecated
+public class TdwgAreaProvider {
+    @SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(TdwgAreaProvider.class);
+
+
+//************************** METHODS ********************************
+
+
+    /**
+     */
+    public static NamedArea getAreaByTdwgAbbreviation(String tdwgAbbreviation){
+        return NamedArea.getAreaByTdwgAbbreviation(tdwgAbbreviation);
+    }
+
+    /**
+     */
+    public static NamedArea getAreaByTdwgLabel(String tdwgLabel){
+        return NamedArea.getAreaByTdwgLabel(tdwgLabel);
+    }
+
+	public static boolean isTdwgAreaLabel(String area) {
+		return NamedArea.isTdwgAreaLabel(area);
+	}
+
+	public static boolean isTdwgAreaAbbreviation(String abbrev) {
+		return NamedArea.isTdwgAreaAbbreviation(abbrev);
+	}
+
+
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementCreationMapperBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementCreationMapperBase.java
index eec73625ef..45d82dffec 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementCreationMapperBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementCreationMapperBase.java
@@ -14,11 +14,13 @@ import java.sql.ResultSet;
 import java.sql.SQLException;
 import java.util.Set;
 
+import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -74,7 +76,7 @@ public abstract class DbImportDescriptionElementCreationMapperBase<ELEMENT exten
 			logger.info("Taxon could not be determined. Description element was not add to any description or taxon");
 		}
 		//Source
-		if (CdmUtils.isNotEmpty(dbCitationAttribute)){
+		if (StringUtils.isNotBlank(dbCitationAttribute)){
 			addSource(rs, element);
 		}
 		return element;
@@ -89,7 +91,7 @@ public abstract class DbImportDescriptionElementCreationMapperBase<ELEMENT exten
 	private void addSource(ResultSet rs, ELEMENT element) throws SQLException {
 		String microCitation = getStringDbValue(rs, dbMicroCitationAttribute);
 		Reference<?> citation = (Reference<?>) getState().getRelatedObject(sourceNamespace, String.valueOf(rs.getObject(dbCitationAttribute)));
-		element.addSource(null, null, citation, microCitation);
+		element.addSource(OriginalSourceType.PrimaryTaxonomicSource, null, null, citation, microCitation);
 	}
 
 	/**
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementSourceCreationMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementSourceCreationMapper.java
index 544b6d3749..834d12c137 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementSourceCreationMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportDescriptionElementSourceCreationMapper.java
@@ -17,8 +17,9 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 /**
@@ -93,7 +94,7 @@ public class DbImportDescriptionElementSourceCreationMapper extends DbImportObje
 	 */
 	@Override
 	protected DescriptionElementSource createObject(ResultSet rs)throws SQLException {
-		DescriptionElementSource source = DescriptionElementSource.NewInstance();
+		DescriptionElementSource source = DescriptionElementSource.NewInstance(OriginalSourceType.PrimaryTaxonomicSource);
 		return source;
 	}
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportExtensionMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportExtensionMapper.java
index 6ae830eb45..873b484848 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportExtensionMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportExtensionMapper.java
@@ -21,6 +21,7 @@ import org.springframework.transaction.TransactionStatus;
 
 import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.api.service.IVocabularyService;
+import eu.etaxonomy.cdm.database.update.DatabaseTypeNotSupportedException;
 import eu.etaxonomy.cdm.io.common.CdmImportBase;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -113,7 +114,7 @@ public class DbImportExtensionMapper extends DbSingleAttributeImportMapperBase<D
 			}else{
 				ignore = true;
 			}
-		} catch (NoSuchMethodException e) {
+		} catch (DatabaseTypeNotSupportedException e) {
 			//do nothing  - checkDbColumnExists is not possible
 		}
 	}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportImageGalleryMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportImageGalleryMapper.java
index af714a12dd..71d5b4db86 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportImageGalleryMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportImageGalleryMapper.java
@@ -20,6 +20,7 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.database.update.DatabaseTypeNotSupportedException;
 import eu.etaxonomy.cdm.io.berlinModel.in.BerlinModelImportState;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -85,7 +86,7 @@ public class DbImportImageGalleryMapper extends DbSingleAttributeImportMapperBas
 			}else{
 				ignore = true;
 			}
-		} catch (NoSuchMethodException e) {
+		} catch (DatabaseTypeNotSupportedException e) {
 			//do nothing
 		}
 	}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportMarkerMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportMarkerMapper.java
index 57483edaa3..5ad53b43ff 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportMarkerMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportMarkerMapper.java
@@ -20,6 +20,7 @@ import org.springframework.transaction.TransactionStatus;
 
 import eu.etaxonomy.cdm.api.service.ITermService;
 import eu.etaxonomy.cdm.api.service.IVocabularyService;
+import eu.etaxonomy.cdm.database.update.DatabaseTypeNotSupportedException;
 import eu.etaxonomy.cdm.io.common.CdmImportBase;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
 import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
@@ -114,7 +115,7 @@ public class DbImportMarkerMapper extends DbSingleAttributeImportMapperBase<DbIm
 			}else{
 				ignore = true;
 			}
-		} catch (NoSuchMethodException e) {
+		} catch (DatabaseTypeNotSupportedException e) {
 			//do nothing  - checkDbColumnExists is not possible
 		}
 	}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportObjectCreationMapperBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportObjectCreationMapperBase.java
index ec669b8be2..335495edb5 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportObjectCreationMapperBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportObjectCreationMapperBase.java
@@ -18,13 +18,13 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.IOriginalSource;
 import eu.etaxonomy.cdm.model.common.ISourceable;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
 import eu.etaxonomy.cdm.model.common.VersionableEntity;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 /**
@@ -102,9 +102,9 @@ public abstract class DbImportObjectCreationMapperBase<CREATE extends Versionabl
 			
 			String microCitation = null;
 			if (cdmBase instanceof IdentifiableEntity){
-				source = IdentifiableSource.NewInstance(strId, idNamespace, citation, microCitation);
+				source = IdentifiableSource.NewDataImportInstance(strId, idNamespace, citation);
 			}else if (cdmBase instanceof DescriptionElementBase){
-				source = DescriptionElementSource.NewInstance(strId, idNamespace, citation, microCitation);
+				source = DescriptionElementSource.NewDataImportInstance(strId, idNamespace, citation);
 			}else{
 				logger.warn("ISourceable not beeing identifiable entities or description element base are not yet supported. CdmBase is of type " + cdmBase.getClass().getSimpleName() + ". Original source not added.");
 				return;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbSingleAttributeImportMapperBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbSingleAttributeImportMapperBase.java
index 738d54ad24..e24acd4f0d 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbSingleAttributeImportMapperBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbSingleAttributeImportMapperBase.java
@@ -17,6 +17,7 @@ import java.sql.SQLException;
 
 import org.apache.log4j.Logger;
 
+import eu.etaxonomy.cdm.database.update.DatabaseTypeNotSupportedException;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
 import eu.etaxonomy.cdm.io.common.ImportHelper;
 import eu.etaxonomy.cdm.io.common.Source;
@@ -293,7 +294,7 @@ public abstract class DbSingleAttributeImportMapperBase<STATE extends DbImportSt
 		return importMapperHelper.getTableName();
 	}
 	
-	protected boolean checkDbColumnExists() throws NoSuchMethodException{
+	protected boolean checkDbColumnExists() throws DatabaseTypeNotSupportedException{
 //		//TODO remove cast
 //		Source source = (Source)getState().getConfig().getSource();
 //		String tableName = getTableName();
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
index 5c25d9469c..47f2db6080 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
@@ -15,8 +15,8 @@ import org.hsqldb.Types;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.common.OriginalSourceBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 
 /**
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSingleSourceMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSingleSourceMapper.java
index 9079b537fc..11502deba7 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSingleSourceMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSingleSourceMapper.java
@@ -20,8 +20,8 @@ import org.hsqldb.Types;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementSource;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvExportBaseRedlist.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvExportBaseRedlist.java
index 066beca5f2..a104c68ebc 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvExportBaseRedlist.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvExportBaseRedlist.java
@@ -40,7 +40,7 @@ import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.IOriginalSource;
 import eu.etaxonomy.cdm.model.common.ISourceable;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
@@ -117,8 +117,8 @@ public abstract class CsvExportBaseRedlist extends CdmExportBase<CsvTaxExportCon
 		if (area != null){
 			record.setLocationId(area);
 			record.setLocality(area.getLabel());
-			if (area.isInstanceOf(WaterbodyOrCountry.class)){
-				WaterbodyOrCountry country = CdmBase.deproxy(area, WaterbodyOrCountry.class);
+			if (area.isInstanceOf(Country.class)){
+				Country country = CdmBase.deproxy(area, Country.class);
 				record.setCountryCode(country.getIso3166_A2());
 			}
 		}else{
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvRecordBaseRedlist.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvRecordBaseRedlist.java
index cb2c450796..49c6c861c8 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvRecordBaseRedlist.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvRecordBaseRedlist.java
@@ -29,13 +29,12 @@ import eu.etaxonomy.cdm.io.dwca.TermUri;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.LSID;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus;
@@ -342,7 +341,7 @@ public abstract class CsvRecordBaseRedlist {
 		}
 	}
 	
-	protected String getSex(Sex sex) {
+	protected String getSex(DefinedTerm sex) {
 		String result = CsvTaxExportTransformerRedlist.transformToGbifSex(sex);
 		if (result == null){
 			if (sex == null){
@@ -355,7 +354,7 @@ public abstract class CsvRecordBaseRedlist {
 		}
 	}
 	
-	protected String getLifeStage(Stage stage) {
+	protected String getLifeStage(DefinedTerm stage) {
 		String result = CsvTaxExportTransformerRedlist.transformToGbifLifeStage(stage);
 		if (result == null){
 			if (stage == null){
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvTaxExportTransformerRedlist.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvTaxExportTransformerRedlist.java
index 92440eaafb..e402edc0e4 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvTaxExportTransformerRedlist.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/csv/redlist/out/CsvTaxExportTransformerRedlist.java
@@ -17,9 +17,8 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.mapping.InputTransformerBase;
 import eu.etaxonomy.cdm.io.dwca.out.TermMapping;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
 import eu.etaxonomy.cdm.model.name.Rank;
@@ -160,7 +159,7 @@ public class CsvTaxExportTransformerRedlist extends InputTransformerBase {
 		}
 	}
 
-	public static String transformToGbifSex(Sex sex) {
+	public static String transformToGbifSex(DefinedTerm sex) {
 		if ( sex == null){
 			return null;
 		}else{
@@ -179,7 +178,7 @@ public class CsvTaxExportTransformerRedlist extends InputTransformerBase {
 		}
 	}
 
-	public static String transformToGbifLifeStage(Stage stage) {
+	public static String transformToGbifLifeStage(DefinedTerm stage) {
 		if ( stage == null){
 			return null;
 		}else{
